=== modified file 'setup.py'
--- setup.py	2007-01-14 05:21:15 +0000
+++ setup.py	2007-01-15 03:31:34 +0000
@@ -192,8 +192,14 @@
                                      company_name = "Canonical Ltd.",
                                      comments = META_INFO['description'],
                                     )
+
+    additional_packages =  []
+    if sys.version.startswith('2.4'):
+        # adding elementtree package
+        additional_packages.append('elementtree')
+
     options_list = {"py2exe": {"packages": BZRLIB['packages'] +
-                                           ['elementtree'],
+                                           additional_packages,
                                "excludes": ["Tkinter", "medusa"],
                                "dist_dir": "win32_bzr.exe",
                               },

=== modified file 'tools/win32/bzr.iss.cog'
--- tools/win32/bzr.iss.cog	2006-10-14 08:51:07 +0000
+++ tools/win32/bzr.iss.cog	2007-01-13 20:00:38 +0000
@@ -7,6 +7,14 @@
 AppName=Bazaar
 
 ; [[[cog
+; # Python 2.5 compatibility code
+; import os
+; import sys
+; cwd = os.getcwd()
+; if cwd not in sys.path:
+;     sys.path.insert(0, cwd)
+; #/Python 2.5 compatibility code
+;
 ; import bzrlib
 ; try: 
 ;     VERSION = bzrlib.__version__

